package bg.bas.dcl.entities;

import java.util.ArrayList;

import bg.bas.dcl.multilingual.ClauseSplitting.ClauseBorder;

public class Sentence extends ArrayList<Word> {

	public String plainText = "";
	public String ID = "";
	public String align = "";
	
	public String vertical = "";
	
	public String getVertical(){

		return "<S id=\"" + ID.trim() + "\""
				+ (align.equals("")?"" : (" align=\"" + align.trim() + "\""))
				+ ">"
				+ "\n"
				+ vertical.trim()
				+ "\n"
				+ "</S>";
		
	}
	
	public String getPlainText(){
		
		if (plainText.length()>0) return plainText;
		for (Word w : this) {
			plainText += w.wordform + " ";
		}
		return plainText;
	}
	
	public String getXML(){
		
		String xml = "";
		for (Word w : this) {
			xml += w.toXML() + "\n";
		}
		return xml;
	}


}
