package bg.bas.dcl.multilingual.ClauseSplitting.rules;

import java.util.ArrayList;
import java.util.HashMap;

import bg.bas.dcl.entities.Conjunction;
import bg.bas.dcl.entities.Sentence;
import bg.bas.dcl.entities.VerbForm;
import bg.bas.dcl.multilingual.Chunker.VerbFormRecogniser.ClauseVerb;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseBorder;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseSplittingComplexObject;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseStack;

public class ArbitraryClauseSplittingRule implements ClauseSplittingRule {

	public boolean isEndingRule = true;
	
	public ArbitraryClauseSplittingRule(){
		
	}
	
	public ClauseSplittingComplexObject findClauseBorders(
			Sentence sentence,
			ArrayList<ClauseVerb> verbs, 
			int spos, int epos,
			ClauseStack stack
			){
		
		
		ClauseSplittingComplexObject obj = new ClauseSplittingComplexObject();
		obj.cls = stack;
		obj.clborders = new ArrayList<ClauseBorder>();

		if (epos==sentence.size()-1) return obj;
		
		if (obj.cls.getTypeFromStack(1).endsWith("COS")) {
			
			if (verbIsPresent(sentence, verbs, 
					obj.cls.getIndexFromStack(1),epos)) {
				obj.clborders.add(new ClauseBorder(epos, "CC"));
				obj.cls.removeFromStack();
			}
			
			if (obj.cls.stackSize()==0){
				obj.clborders.add(new ClauseBorder(epos+1, "COC"));
				obj.cls.putInStack("COC", epos+1);
			}
		}
		if (obj.cls.getTypeFromStack(1).endsWith("COC")) {
			if (verbIsPresent(sentence, verbs, 
					obj.cls.getIndexFromStack(1),epos)) {
				obj.clborders.add(new ClauseBorder(epos, "CC"));
				obj.cls.removeFromStack();
			}
			
			if (obj.cls.stackSize()==0){
				obj.clborders.add(new ClauseBorder(epos+1, "COC"));
				obj.cls.putInStack("COC", epos+1);
			}

		}
	
		for (int i=spos; i<epos+1; i++) {
			
			
		}

		return obj;
		
	}
	public boolean isEnding(){
		return isEndingRule;
	}

	public boolean verbIsPresent(Sentence sent, 
			ArrayList<ClauseVerb> verbs, int begin, int end){
		
		
		
		int vind = -1;
		for (VerbForm vf : verbs) {
			if (begin <= vf.get(0).sentpos && vf.get(vf.size()-1).sentpos <= end
					&& sent.get(vf.get(0).sentpos).clauseID.equals(sent.get(begin).clauseID)) {
		
				System.out.println("VC: begin "+begin + " end "+end);
				System.out.println("VC: "+sent.get(vf.get(0).sentpos).wordform + " "+sent.get(vf.get(0).sentpos).clauseID);
				System.out.println("VC: "+sent.get(begin).wordform + " "+sent.get(begin).clauseID);
				vind = vf.get(vf.size()-1).sentpos;
				break;
			}
		}
		
		if (vind > -1 && vind < end) return true;
		
		return false;
	}


}
